Bug 194270 - yum's default user prompt answer should be configurable
yum's default user prompt answer should be configurable
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2006-06-06 15:07 EDT by Jason Pepas
Modified: 2014-01-21 17:54 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-08 07:21:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
yum patch (1.52 KB, patch)
2006-06-06 15:07 EDT, Jason Pepas
no flags Details | Diff

  None (edit)
Description Jason Pepas 2006-06-06 15:07:16 EDT
Anytime yum needs to prompt the user with a yes/no question (via the
userconfirm() function), the default is always set to 'no'.  This effectively
turns the prompt into 'would you like to cancel?' instead of the more
traditional 'are you sure?'.  The default answer should really be 'yes'
(prompting the user is enough of an interruption; forcing him to enter two
keystrokes instead of one is unnecessary).

I have attached a set of patches which add the configuration option
'default_is_no', which defaults to '1', which preserves the original
functionality.  The option could use a better name; I just used the first thing
which came to mind.
Comment 1 Jason Pepas 2006-06-06 15:07:16 EDT
Created attachment 130632 [details]
yum patch
Comment 2 Seth Vidal 2006-06-08 07:21:08 EDT
I don't agree and adding this as an option just seems excessive.

Are 2 keystrokes really all that difficult?

closing as wontfix
Comment 3 Ruslan 2011-08-24 08:09:27 EDT
> Are 2 keystrokes really all that difficult?
They are not difficult, they are counter-intuitive and inconsistent with other package management interfaces. Having used to e.g. apt, you press Enter meaning "Yes, i confirm", and it appears that you have cancelled the operation instead of confirming it. This is still a problem after several releases with Fedora, which is why I found this bug report.
The patch offered doesn't change the defaults, so why reject it?

Note You need to log in before you can comment on or make changes to this bug.